#ifndef DATE_H
#define DATE_H

class date {
protected:
   int month;
   int day;
   int year;
   static char out_string[25];
   static char last_date[25];
   static char format;
   int days_this_month(void);
public:
   date(void);
   void refreshdate();
   int set_date(int in_month, int in_day, int in_year);
   int get_month(void) { return month; };
   int get_day(void)   { return day;   };
   int get_year(void)  { return year;  };
   void set_date_format(int format_in) { format = format_in; };
   char *get_date_string(void);
   char *get_month_string(void);
};

#endif
